
set echo on

SELECT d.dname, d.loc, e.ename, e.job, e2.sal
FROM   dept d
       INNER JOIN
       emp e
USING (deptno)
       INNER JOIN
       emp e2
USING (empno);

SELECT d.dname, d.loc, e.ename, e.job, e2.sal
FROM   dept d
       INNER JOIN
       emp e
ON    (d.deptno = e.deptno
AND    e.empno = e2.empno) --<-- E2 hasn't been joined to query yet
       INNER JOIN
       emp e2
USING (empno);

SELECT d1.dname, d1.loc, e1.ename, e1.job, e2.sal
FROM   dept d1
,      emp  e1
,      emp  e2
WHERE  d1.deptno = e1.deptno
AND    e1.empno = e2.empno;


