
set echo on

SELECT deptno, d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
USING (deptno);

SELECT d.deptno, d.dname, d.loc, e.ename, e.job
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno (+);

SELECT d.deptno, d.dname, d.loc, e.ename, e.job
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno*1 (+);

SELECT d.deptno, d.dname, d.loc, e.ename, e.job
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno (+) * 1;

SELECT d.deptno, d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
       ON (d.deptno = e.deptno * 1);

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno)
WHERE  d.loc = 'DALLAS';

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno
AND    d.loc = 'DALLAS');

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno
AND    e.job = 'SALESMAN');

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno)
WHERE  e.job = 'SALESMAN';

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno)
WHERE  e.job = 'SALESMAN'
OR     e.job IS NULL;

SELECT d.dname, d.loc, e.ename, e.job
FROM   dept d
,     (SELECT ename, job, deptno
       FROM   emp
       WHERE  job = 'SALESMAN') e
WHERE  d.deptno = e.deptno (+);

SELECT d.dname, d.loc
FROM   dept d
       LEFT OUTER JOIN
       emp e
ON    (d.deptno = e.deptno)
WHERE  e.deptno IS NULL;

SELECT d.dname, d.loc
FROM   dept d
,      emp e
WHERE  d.deptno = e.deptno (+)
AND    e.deptno IS NULL;

SELECT d.dname, d.loc
FROM   dept d
WHERE  d.deptno NOT IN (SELECT e.deptno FROM emp e);

