
set echo on

CREATE TABLE d1 AS SELECT * FROM dept;

CREATE TABLE d2 AS SELECT * FROM dept WHERE ROWNUM <= 3;

CREATE TABLE d3 AS SELECT * FROM dept WHERE ROWNUM <= 2;

SELECT d1.dname, d1.deptno, d2.deptno, d3.deptno
FROM   d1
,      d2
,      d3
WHERE  d1.deptno = d3.deptno(+)
AND    d2.deptno = d3.deptno(+);

SELECT d1.dname, d1.deptno, d2_d3.d2_deptno, d2_d3.d3_deptno
FROM   d1
,     (
       SELECT d2.deptno AS d2_deptno
       ,      d3.deptno AS d3_deptno
       FROM   d2
       ,      d3
       WHERE  d2.deptno = d3.deptno (+)
      ) d2_d3
WHERE  d1.deptno = d2_d3.d3_deptno(+);

SELECT d1.dname, d1.deptno, d2.deptno, d3.deptno
FROM   d2
       LEFT OUTER JOIN
       d3
       ON (d2.deptno = d3.deptno)
       RIGHT OUTER JOIN
       d1
       ON (d1.deptno = d3.deptno);


